読者です 読者をやめる 読者になる 読者になる

牌語備忘録 -pygo

あくまでもメモです。なるべくオフィシャルの情報を参照してください。

牌語備忘録 -pygo

Xcode4.2にアップデートしたらエラーとかでるし、PhoneGap 側にも問題あるっぽい

iPhone PhoneGap

PhoneGap でiPhone アプリ開発での話。
iPhoneシミュレータをiOS5にしたかっただけなんだけど。
できればXcode4.1に戻したいんだけど。
出来上がったアプリをAppleに申請するとこだったのに大失敗。

エラーはPhoneGapのファイルにも原因あったっぽい

こっちのエラーは解消されない。どうすりゃいいの?

Incompatible pointer types initializing 'NSDate *' with an expression of type 'NSString *'

Reachability.h: warning

以下のエラーが出たら、下記のサイト参照

iOS5でReachabilityを使うと以下の警告が出る。

Reachability.h: warning: Semantic Issue: Declaration of ‘struct sockaddr_in’ will not be visible outside of this function
以下のインポート文を追加すると警告は消える。

#import

iOS5開発でReachabilityで警告が出た場合の対処

メモ

  • 後から SDK iOS4.2 を追加できないのかな?
  • もしくは Xcode4.1 のインストーラほしいんだけども。